This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 998936 - Missing dependancies python-billiard and python-amqplib
Missing dependancies python-billiard and python-amqplib
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: python-celery (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Andrew Colin Kissa
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-20 07:31 EDT by Tomas Edwardsson
Modified: 2013-08-21 06:38 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-21 06:38:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Edwardsson 2013-08-20 07:31:31 EDT
Description of problem:
There are couple of missing dependencies for the python-celery package.

python-billiard and python-amqplib

Version-Release number of selected component (if applicable):
python-celery-3.0.11-1.fc18.noarch

How reproducible:
Install python-celery, setup or configure connection to rabbitmq-server and try to run the test application referenced in http://docs.celeryproject.org/en/latest/getting-started/first-steps-with-celery.html#Applic

Steps to Reproduce:
1. yum install python-celery rabbitmq-server
2. rabbitmqctl add_user testcelery easypassword
3. rabbitmqctl add_vhost testcelery
4. rabbitmqctl set_permissions -p testcelery testcelery ".*" ".*" ".*"
5. Run the test application from http://docs.celeryproject.org/en/latest/getting-started/first-steps-with-celery.html#Applic


Actual results:

[root@tandoori ~]# celery -A testcelery worker --loglevel=info
Traceback (most recent call last):
  File "/bin/celery", line 5, in <module>
    from pkg_resources import load_entry_point
  File "/usr/lib/python2.7/site-packages/pkg_resources.py", line 2815, in <module>
    working_set.require(__requires__)
  File "/usr/lib/python2.7/site-packages/pkg_resources.py", line 690, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib/python2.7/site-packages/pkg_resources.py", line 588, in resolve
    raise DistributionNotFound(req)
pkg_resources.DistributionNotFound: billiard>=2.7.3.17


Now if I install python-billiard I get the following:

Traceback (most recent call last):
  File "/bin/celery", line 5, in <module>
    from pkg_resources import load_entry_point
  File "/usr/lib/python2.7/site-packages/pkg_resources.py", line 2815, in <module>
    working_set.require(__requires__)
  File "/usr/lib/python2.7/site-packages/pkg_resources.py", line 690, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib/python2.7/site-packages/pkg_resources.py", line 588, in resolve
    raise DistributionNotFound(req)
pkg_resources.DistributionNotFound: amqplib>=1.0.2


Resolving this requires installing both python-billiard and python-amqplib. I recommend adding the following to the spec file:

Requires: python-billiard
Requires: python-amqplib
Comment 1 Matthias Runge 2013-08-21 06:38:36 EDT
Thank you for the report.

OK, I agree, python-billiard should be included. python-amqp ist required by python-kombu, which is required by python-celery.
Kombu was fixed for fedora rawhide, which will become fedora 20.

Note You need to log in before you can comment on or make changes to this bug.